import 'package:google_sign_in/google_sign_in.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

const String googleClientID = "856240587825-klh0dfjc44bovajg1rpq5vbvs4g7rh5j.apps.googleusercontent.com";

final googleSignInProvider = StateProvider<GoogleSignIn>((ref) {
  return GoogleSignIn(
    clientId: googleClientID,
    scopes: [
      'email',
      'https://www.googleapis.com/auth/contacts.readonly',
    ],
  );
});

final currentUserGoogleProvider = StateProvider<GoogleSignInAccount?>((ref) => null);

final isNotifyFromLogout = StateProvider<bool>((ref) => false);